# UIConfig | oops-framework
Documentation for oops-framework

# Interface UIConfig

界面配置结构体

### Example

    // 界面唯一标识
    export enum UIID {
       Loading = 1,
       Window,
       Netinstable
    }

    // 打开界面方式的配置数据
    export var UIConfigData: { [key: number]: UIConfig } = {
       [UIID.Loading]: { layer: LayerType.UI, prefab: "loading/prefab/loading", bundle: "resources" },
       [UIID.Netinstable]: { layer: LayerType.PopUp, prefab: "common/prefab/netinstable" },
       [UIID.Window]: { layer: LayerType.Dialog, prefab: "common/prefab/window" }
    }

#### Hierarchy

- UIConfig

- Defined in assets/core/gui/layer/LayerManager.ts:46

#####
Index

### Properties

bundle?
layer
prefab

## Properties

### `Optional` bundle

bundle?: string

远程包名

- Defined in assets/core/gui/layer/LayerManager.ts:48

### layer

layer: LayerType

窗口层级

- Defined in assets/core/gui/layer/LayerManager.ts:50

### prefab

prefab: string

预制资源相对路径

- Defined in assets/core/gui/layer/LayerManager.ts:52

Generated using TypeDoc